## class Subjects : public List<Subject *>

> list of subjects class; copied subjects are put in the assoc list.

## Inheritance:

### Public Methods

  | Subjects (AssocList *al)
  | Subjects (const Subjects &subjects)
  AssocList* | GetAssocList () const

### Inherited from List:

### Public Methods

List <T> & operator=(const List<T> &l)
void add(const T &e)
void insert(const T &e, const unsigned i)
int find(const T &e) const
bool isSet() const
int count(const T &e) const
bool contains(List<T> *l) const
bool contains(const T &e) const
void remove(const T &e)
void removei(const unsigned i = 0)
bool removecur()
void empty()
virtual void clear()
T& operator[] (const unsigned i) const
T& elem(const unsigned i) const
unsigned count() const
void replace(const T &old, const T &fresh)
void sort(int (*cmp)(T, T))
void reverse()
int first()
int last()
int next()
int prev()
T& cur() const
bool done() const
int setcur(const T &)

## Documentation

> list of subjects class; copied subjects are put in the assoc list.

`Subjects(AssocList *al)`

`Subjects(const Subjects &subjects)`

`AssocList* GetAssocList() const`

This class has no child classes.

alphabetic index hierarchy of classes

this page has been generated automatically by doc++

(c)opyright by Malte Zöckler, Roland Wunderling
contact: doc++@zib.de